happy-lib-2.2: Happy is a parser generator for Haskell implemented using this library

Safe Haskell | None
Language | Haskell98

Happy.Backend.GLR.ProduceCode

# Documentation

produceGLRParser :: (String, String) -> String -> (ActionTable, GotoTable) -> String -> Maybe String -> Maybe String -> (DebugMode, Options) -> Grammar String -> Directives -> (String, String) #

baseTemplate :: String -> String #

libTemplate :: String -> String #

data DecodeOption #

Constructors

TreeDecode |
LabelDecode |

data FilterOption #

Constructors

NoFiltering |
UseFiltering |

data GhcExts #

Constructors

NoGhcExts |
UseGhcExts String [String] |

type Options = (DecodeOption, FilterOption, GhcExts) #